#include <iostream>
using namespace std;

int main()
{
    long long n;
    long long pozMax;
    long long pozZamena = -1;
    int zamenjen = 0;
    int nasaoMax = 0;
    int P;

    int cifre[1000000];


    cin >> n;

    for(long long i = 0; i<n; i++)
    {
        cin >> cifre[i];
    }

    if (n == 2)
    {
       cout << cifre[1] << " " << cifre[0]; 
    }
    else
    {
        for (int i=9; i >= 0; i--)
        {
            for (long long j = n-1; j >=0; j--)
            {
                if((cifre[j] == i) && (nasaoMax == 0))
                {
                    pozMax = j;
                    nasaoMax = 1;
                }
            
                if((cifre[j] < i) && (nasaoMax == 1))
                {
                    pozZamena = j;
                }
            }

            if ((pozZamena >= 0) && (zamenjen == 0))
            {
                P = cifre[pozMax];
                cifre[pozMax] = cifre[pozZamena];
                cifre[pozZamena] = P;

                zamenjen = 1;
            }

            nasaoMax = 0;
        }

        for (long long i=0; i<n; i++)
        {
            cout << cifre[i] << " ";
        }
    }  

	return 0;
}